org.springframework.batch.core.launch.support

## Interface ExitCodeMapper

- All Known Implementing Classes:
    SimpleJvmExitCodeMapper

      public interface ExitCodeMapper

  This interface should be implemented when an environment calling the batch framework has specific requirements regarding the operating system process return status.
  Author:
    Stijn Maller, Lucas Ward, Dave Syer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `JOB_NOT_PROVIDED`
    `static int` | `JVM_EXITCODE_COMPLETED`
    `static int` | `JVM_EXITCODE_GENERIC_ERROR`
    `static int` | `JVM_EXITCODE_JOB_ERROR`
    `static java.lang.String` | `NO_SUCH_JOB`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `intValue(java.lang.String exitCode)` Convert the exit code from String into an integer that the calling environment as an operating system can interpret as an exit status.

- - ### Field Detail

    - #### JVM_EXITCODE_COMPLETED

          static final int JVM_EXITCODE_COMPLETED

      See Also:
        Constant Field Values

    - #### JVM_EXITCODE_GENERIC_ERROR

          static final int JVM_EXITCODE_GENERIC_ERROR

      See Also:
        Constant Field Values

    - #### JVM_EXITCODE_JOB_ERROR

          static final int JVM_EXITCODE_JOB_ERROR

      See Also:
        Constant Field Values

    - #### NO_SUCH_JOB

          static final java.lang.String NO_SUCH_JOB

      See Also:
        Constant Field Values

    - #### JOB_NOT_PROVIDED

          static final java.lang.String JOB_NOT_PROVIDED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### intValue

          int intValue(java.lang.String exitCode)

      Convert the exit code from String into an integer that the calling environment as an operating system can interpret as an exit status.
      Parameters:
        `exitCode` - The exit code which is used internally.
      Returns:
        The corresponding exit status as known by the calling environment.